<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Urlaube\Uebersicht;

use Kufer\Web\KuferTools\Utils\FilterSearch\DozUrlaubeSearchFilter;

class UrlaubeResetFilterController extends UrlaubeController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->suchParameter = $this->getFilterFromPost();
    $requestObj->aendereFilter = true;

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    $searchFilter = new DozUrlaubeSearchFilter();

    return $searchFilter->getSearchMapEmptyValues();
  }
}